Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataAdaptor.ComponentVisitor

    java.lang.Object
      org.richfaces.component.UIDataAdaptor.ComponentVisitor

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor

Enclosing class:
  UIDataAdaptor

    protected abstract class UIDataAdaptor.ComponentVisitor

extends java.lang.Object
implements org.ajax4jsf.model.DataVisitor

Base class for visit data model at phases decode, validation and update model

Author:
  shura

Constructor Summary
`protected` | `UIDataAdaptor.ComponentVisitor()`

Method Summary
`org.ajax4jsf.model.DataVisitResult` | `process(javax.faces.context.FacesContext context, java.lang.Object rowKey, java.lang.Object argument)`
`abstract void` | `processComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent c, java.lang.Object argument)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIDataAdaptor.ComponentVisitor

    protected UIDataAdaptor.ComponentVisitor()

Method Detail

### process

    public org.ajax4jsf.model.DataVisitResult process(javax.faces.context.FacesContext context,
                                                      java.lang.Object rowKey,
                                                      java.lang.Object argument)

  Specified by:
    `process` in interface `org.ajax4jsf.model.DataVisitor`

### processComponent

    public abstract void processComponent(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent c,
                                          java.lang.Object argument)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.